Loading...
Searching...
No Matches
Http_proxy_authorization

## Macros

#define | HTTP_PROXY_AUTHORIZATION_INIT()
| Initializer for structure http_proxy_authorization_t.
#define | HTTPTAG_PROXY_AUTHORIZATION(x)
| Tag list item for pointer to a Proxy-Authorization header object.
#define | HTTPTAG_PROXY_AUTHORIZATION_STR(s)
| Tag list item for string with Proxy-Authorization header value.

## Enumerations

enum | { http_proxy_authorization_hash }

## Functions

http_proxy_authorization_t * | http_proxy_authorization_init (http_proxy_authorization_t x[1])
| Initialize a structure http_proxy_authorization_t.
int | http_is_proxy_authorization (http_header_t const *header)
| Test if header object is instance of http_proxy_authorization_t.
http_proxy_authorization_t * | http_proxy_authorization_dup (su_home_t *home, http_proxy_authorization_t const *hdr))
| Duplicate (deep copy) `http_proxy_authorization_t`.
http_proxy_authorization_t * | http_proxy_authorization_copy (su_home_t *home, http_proxy_authorization_t const *hdr))
| Copy a http_proxy_authorization_t header structure.
http_proxy_authorization_t * | http_proxy_authorization_make (su_home_t *home, char const *s))
| Make a header structure http_proxy_authorization_t.
http_proxy_authorization_t * | http_proxy_authorization_format (su_home_t *home, char const *fmt,...)))
| Make a Proxy-Authorization header from formatting result.

## Variables

msg_hclass_t | http_proxy_authorization_class []
| Header class for HTTP Proxy-Authorization header.
msg_parse_f | http_proxy_authorization_d
| Decode (parse) a Proxy-Authorization header.
msg_print_f | http_proxy_authorization_e
| Encode (print) a Proxy-Authorization header.

## Detailed Description

## Macro Definition Documentation

## HTTP_PROXY_AUTHORIZATION_INIT

#define HTTP_PROXY_AUTHORIZATION_INIT | ( |  | ) |

Initializer for structure http_proxy_authorization_t.

A static http_proxy_authorization_t structure must be initialized with the HTTP_PROXY_AUTHORIZATION_INIT() macro. For instance,

http_proxy_authorization_t http_proxy_authorization = HTTP_PROXY_AUTHORIZATION_INIT;
HTTP_PROXY_AUTHORIZATION_INIT
#define HTTP_PROXY_AUTHORIZATION_INIT()
Initializer for structure http_proxy_authorization_t.
Definition http_protos.h:7342

## HTTPTAG_PROXY_AUTHORIZATION

#define HTTPTAG_PROXY_AUTHORIZATION | ( |  | x | ) |

Tag list item for pointer to a Proxy-Authorization header object.

The HTTPTAG_PROXY_AUTHORIZATION() macro is used to include a tag item with a pointer to a http_proxy_authorization_t object in a tag list.

Parameters

  x | pointer to a http_proxy_authorization_t header structure, or NULL.

## HTTPTAG_PROXY_AUTHORIZATION_STR

#define HTTPTAG_PROXY_AUTHORIZATION_STR | ( |  | s | ) |

Tag list item for string with Proxy-Authorization header value.

The HTTPTAG_PROXY_AUTHORIZATION_STR() macro is used to include a tag item with a string containing value of a http_proxy_authorization_t header in a tag list.

Parameters

  s | pointer to a string containing http_proxy_authorization_t value, or NULL.

The HTTPTAG_PROXY_AUTHORIZATION_STR string can be converted to a http_proxy_authorization_t header structure by giving the string s has second argument to function http_proxy_authorization_make().

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
http_proxy_authorization_hash | Hash of Proxy-Authorization header.

## Function Documentation

## http_is_proxy_authorization()

int http_is_proxy_authorization | ( | http_header_t const * | header | ) |

inline

Test if header object is instance of http_proxy_authorization_t.

The function http_is_proxy_authorization() returns true (nonzero) if the header class is an instance of Proxy-Authorization header object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function http_is_xproxy_authorization() returns true (nonzero) if the header object is an instance of header proxy_authorization and false (zero) otherwise.

## http_proxy_authorization_copy()

http_proxy_authorization_t * http_proxy_authorization_copy | ( | su_home_t * | home,
|  | http_proxy_authorization_t const * | hdr )

inline

Copy a http_proxy_authorization_t header structure.

The function http_proxy_authorization_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  proxy_authorization = http_proxy_authorization_copy(home, http->http_proxy_authorization);
  http_proxy_authorization_copy
  http_proxy_authorization_t * http_proxy_authorization_copy(su_home_t *home, http_proxy_authorization_t const *hdr))
  Copy a http_proxy_authorization_t header structure.
  Definition http_protos.h:7536

Returns
  The function http_proxy_authorization_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## http_proxy_authorization_dup()

http_proxy_authorization_t * http_proxy_authorization_dup | ( | su_home_t * | home,
|  | http_proxy_authorization_t const * | hdr )

inline

Duplicate (deep copy) `http_proxy_authorization_t`.

The function http_proxy_authorization_dup() duplicates a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  proxy_authorization = http_proxy_authorization_dup(home, http->http_proxy_authorization);
  http_proxy_authorization_dup
  http_proxy_authorization_t * http_proxy_authorization_dup(su_home_t *home, http_proxy_authorization_t const *hdr))
  Duplicate (deep copy) http_proxy_authorization_t.
  Definition http_protos.h:7529

Returns
  The function http_proxy_authorization_dup() returns a pointer to the newly duplicated http_proxy_authorization_t header structure, or NULL upon an error.

## http_proxy_authorization_format()

http_proxy_authorization_t * http_proxy_authorization_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a Proxy-Authorization header from formatting result.

The function http_proxy_authorization_format() makes a new Proxy-Authorization header object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function is usually implemented as a macro calling msg_header_format().

Returns
  The function http_proxy_authorization_format() returns a pointer to newly makes header structure, or NULL upon an error.

## http_proxy_authorization_init()

http_proxy_authorization_t * http_proxy_authorization_init | ( | http_proxy_authorization_t | x[1] | ) |

inline

Initialize a structure http_proxy_authorization_t.

An http_proxy_authorization_t structure can be initialized with the http_proxy_authorization_init() function/macro. For instance,

http_proxy_authorization_t http_proxy_authorization;
http_proxy_authorization_init(&http_proxy_authorization);
http_proxy_authorization_init
http_proxy_authorization_t * http_proxy_authorization_init(http_proxy_authorization_t x[1])
Initialize a structure http_proxy_authorization_t.
Definition http_protos.h:7358

## http_proxy_authorization_make()

http_proxy_authorization_t * http_proxy_authorization_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure http_proxy_authorization_t.

The function http_proxy_authorization_make() makes a new http_proxy_authorization_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function is usually implemented as a macro calling http_header_make().

Returns
  The function http_proxy_authorization_make() returns a pointer to newly maked http_proxy_authorization_t header structure, or NULL upon an error.

## Variable Documentation

## http_proxy_authorization_class

msg_hclass_t http_proxy_authorization_class[]

extern

Header class for HTTP Proxy-Authorization header.

The header class http_proxy_authorization_class defines how a HTTP Proxy-Authorization header is parsed and printed. It also contains methods used by HTTP parser and other functions to manipulate the http_proxy_authorization_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.